=== debian/changelog ===
flightgear (2.10.0-2) unstable; urgency=low

  * Fix for CVE-2012-2090: prevent %n from being passed to format strings.
  * Fix for CVE-2012-2091: use snprintf() rather than sprintf().
  * Fix upstream issue #1117 similar to CVE-2012-2091. Closes: #669025.
  * Upload to unstable.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 08 Sep 2013 10:25:06 +0200

flightgear (2.10.0-1) experimental; urgency=low

  * New upstream release 2.10.0. (Closes: #718379, #673314).
  * Adjust dependencies to match new version.
  * Adjust simgear-dev being renamed to libsimgear-dev.
  * Drop obsolete ORed build dependencies: xlibmesa-gl-dev,
    xlibmesa-glu-dev, xlibglu1-xorg-dev
  * Refresh terrasync.patch.
  * Drop the browser patch, it doesn't apply anymore (TODO: check if it's
    still necessary).
  * Further simplification of rules:
    - leave parsing of DEB_BUILD_OPTIONS to debhelper
    - merge {C,CXX}FLAGS into CMAKE_FLAGS
    - pass BUILD_TYPE = RelWithDebInfo
    - add LDFLAGS as CMAKE_SHARED_LINKER_FLAGS
    - make sure CXX_FLAGS_RELWITHDEBINFO doesn't override the optimization
      level given by dpkg-buildflags via CXXFLAGS
    - turn on verbose Makefile
  * Adapt to renamed data packages. Add all data packages as
    dependencies. Anything less doesn't seem to be supported upstream.
  * Direct the Vcs-Browser to gitweb, rather than raw git http.
  * Add myself as an uploader.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 28 Aug 2013 09:35:49 +0200

flightgear (2.6.0-2) UNRELEASED; urgency=low

  * Team upload.
  * Bumped D-S-V to 3.9.4
  * debian/control VCS point to new git repo in collab-maint
  * Lintian cleaning
    - debian/control: build-depends-on-1-revision, simgear-dev
    - debian/menu: unquoted-string-in-menu-item 
    - package-contains-readme-for-other-platform-or-distro
      rm usr/share/doc/flightgear/README.Cygwin
      rm usr/share/doc/flightgear/README.IRIX
      rm usr/share/doc/flightgear/README.MacOS 
    - debian/rules: added hardening flags
    - debian/flightgear.desktop: remove depricated Encoding field
  * Thorough review and edit of debian/copyright
    - added copywrite_check to debian/rules to easy maintenance
    - DEP-5 style copyright
  * added get-orig-source target to debian/rules
  * use ${source:Version} substr in debian/control instead of explicitly
    naming the version

 -- Scott Howard <showard@debian.org>  Sun, 06 Jan 2013 21:43:23 -0500
