=== debian/control ===
Source: flightgear
Section: games
Priority: extra
Maintainer: Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>
Uploaders: Ove Kaaven <ovek@arcticnet.no>,
 Markus Wanner <markus@bluegap.ch>
Build-Depends: debhelper (>= 9.20120417), libx11-dev, libxext-dev,
 libxi-dev, libice-dev, libsm-dev, libxt-dev, libxmu-dev, zlib1g-dev,
 libboost-dev, libopenal-dev, libalut-dev, libsvn-dev, libudev-dev,
 libplib-dev (>= 1.8.5), cmake (>= 2.6),
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 freeglut3-dev | libglut3-dev,
 libjpeg8-dev | libjpeg62-dev | libjpeg-dev,
 libpng12-dev | libpng3-dev | libpng-dev,
 libopenscenegraph-dev (>> 3.0.0),
 libsimgear-dev (>= 2.10.0~),
 libsqlite3-dev
Standards-Version: 3.9.4
Homepage: http://www.flightgear.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flightgear.git
Vcs-Git: git://anonscm.debian.org/collab-maint/flightgear.git

Package: flightgear
Architecture: any
Depends: flightgear-data-all (>= 2.10.0~), ${shlibs:Depends},
 ${misc:Depends}
Description: Flight Gear Flight Simulator
 FlightGear Flight Simulator (often shortened to FlightGear or FGFS)
 is a sophisticated free, completely open-source flight simulator
 framework, created by volunteers.
 .
 This package contains the runtime binaries.
