=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#http://wiki.debian.org/Hardening#Notes_for_packages_using_CMake
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

CMAKE_FLAGS = \
	-DCMAKE_BUILD_TYPE="RelWithDebInfo" \
	-DCMAKE_C_FLAGS="$(CFLAGS)" \
	-DCMAKE_CXX_FLAGS="$(CXXFLAGS)" \
	-DCMAKE_CXX_FLAGS_RELWITHDEBINFO="-g -DNDEBUG" \
	-DCMAKE_SHARED_LINKER_FLAGS="$(LDFLAGS)" \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
	-DCMAKE_INSTALL_PREFIX:PATH=/usr \
	-DCMAKE_INSTALL_BINDIR:PATH=games \
	-DFG_DATA_DIR:PATH=/usr/share/games/flightgear \
	-DSIMGEAR_SHARED:BOOL=ON \
	-DJPEG_FACTORY=ON \
	-DENABLE_FGADMIN=OFF \
	-DENABLE_LARCSIM=ON \
	-DENABLE_UIUC_MODEL=ON \
	-DSP_FDMS=ON \
	-DSYSTEM_SQLITE=ON

%:
	dh $@ --buildsystem=cmake --builddirectory=build --parallel

override_dh_auto_configure:
	mkdir build
	cd build && cmake .. $(CMAKE_FLAGS)

override_dh_auto_install:
	dh_auto_install

	# the CMAKE_INSTALL_BINDIR might be ignored
	if [ -d debian/flightgear/usr/bin ]; then \
	  mv debian/flightgear/usr/bin/* debian/flightgear/usr/games; \
	fi
	#Remove empty directories
	find $(CURDIR)/debian/flightgear -type d -empty -delete

override_dh_installdocs:
	dh_installdocs
	cp docs-mini/* debian/flightgear/usr/share/doc/flightgear || true
	cp utils/TerraSync/README.txt debian/flightgear/usr/share/doc/flightgear/README.TerraSync
	rm $(CURDIR)/debian/flightgear/usr/share/doc/flightgear/README.Cygwin
	rm $(CURDIR)/debian/flightgear/usr/share/doc/flightgear/README.IRIX
	rm $(CURDIR)/debian/flightgear/usr/share/doc/flightgear/README.MacOS

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

copyright_check:
	${MAKE} -f /usr/share/cdbs/1/rules/utils.mk debian/stamp-copyright-check
	rm debian/stamp-copyright-check

get-orig-source:
	uscan --download-current-version --verbose --rename
